package com.jiayue.ipp.common.data.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 场站类型枚举
 *
 * @author zzy
 * @version 1.0
 * @since 2019/8/2 11:33
 */
@Getter
@AllArgsConstructor
public enum ElectricFieldTypeEnum implements IEnum<String> {
    E1(1, "光伏电站"),
    E2(2, "风力电站");
    private Integer code;
    private String message;

    @Override
    public String getValue() {
        return this.name();
    }
}
